%global dlrn_nvr 15.8.1-2.20211210014042.3ee9e89
%global dlrn 1
%define upstream_version 15.8.1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-nova
Version: 15.8.1
Release: 2.20211210014042.3ee9e89%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        ASL 2.0

URL:            https://launchpad.net/puppet-nova

Source0: 15.8.1-2.20211210014042.3ee9e89.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=3ee9e89c1e39694a3ba8f7bc5cfe81939b1d4dd9
Patch0001: 0001-Add-parameters-for-console-proxy-SSL-TLS-settings.patch
Patch0002: 0002-Add-parameter-to-set-image_type_exclude_list.patch
Patch0003: 0003-downstream-only-Add-support-for-image-download-via-r.patch

BuildArch:      noarch

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
%setup -q -n openstack-nova-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Thu Dec 09 2021 OSP Prod Chain <dev-null@redhat.com> 15.8.1-2.20211210014042.3ee9e89
- Update patches
- Add support for the interface parameter in authtoken middleware

* Mon Sep 13 2021 OSP Prod Chain <dev-null@redhat.com> 15.8.1-2.20210913134822.f02ab5f
- Update patches
- [Train only] Run TripleO jobs on CentOS8 instead of CentOS7

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 15.8.1-2.20210910005852.432a22c
- Update patches
- Allow for a more permissible regex

* Sun Aug 22 2021 OSP Prod Chain <dev-null@redhat.com> 15.8.1-2.20210823004810.9cc35d5
- Update patches
- TripleO: Reduce tempest test scope

* Tue Jun 22 2021 OSP Prod Chain <dev-null@redhat.com> 15.8.1-2.20210622224810.287ce1f
- Update patches

* Thu Jun 17 2021 OSP Prod Chain <dev-null@redhat.com> 15.8.1-2.20210618003121.287ce1f
- Update patches
- Bump metadata to create the real final train release

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 15.8.0-2.20210601013941.99789e3
- Update patches
- Fixing section ovsdb_connection
- Prepare the final stable/train release

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.8.0-2.20210528124056.43cd2b4
- Update patches

* Thu Apr 22 2021 OSP Prod Chain <dev-null@redhat.com> 15.7.1-2.20210423004733.43cd2b4
- Update patches
- Introducing default_tls_verify

* Thu Mar 25 2021 OSP Prod Chain <dev-null@redhat.com> 15.7.0-1
- Update patches
- Disable libvirtd.service before starting sockets

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 15.7.0-1
- Update patches
- Add TLS options to oslo.cache

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> 15.7.0-1
- Update patches
- Revert "Remove parameter nova::compute::pci_passthrough"

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> 15.7.0-1
- Update patches
- Allow both DEFAULT/dhcp_domain and api/dhcp_domain to be set
- Set dhcp_domain for all nova services

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> 15.7.0-1
- Update patches

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Prepare a new release for Train

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Fix libvirt version discovery for CentOS Stream

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- [downstream-only] Add support for image download via rbd (rhbz#1916160)

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Add parameter to configure the libvirt max_queues

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Add parameter to set image_type_exclude_list (rhbz#1886171)

* Wed Jan 27 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Add parameters for console proxy SSL/TLS settings (rhbz#1897699)

* Mon Jan 04 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches

* Mon Jan 04 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Cleanup listen option from libvirtd service file

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches

* Mon Nov 09 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Build containers for single consumer job
- Fix duplicated user keys

* Sat Nov 07 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Expose nova config option [workaround]/never_download_image_if_on_rbd

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Add live_migration_timeout_action to nova::migration::libvirt

* Mon Nov 02 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Add support for more migration parameters

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Fix wrong notification between api service and httpd

* Fri Oct 16 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Fix ignored unit test cases for nova::migration::libvirt

* Wed Sep 23 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Add `pmem_namespaces` parameter

* Tue Sep 22 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Fix ignored test cases for nova::compute::libvirt

* Fri Aug 14 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Expose vhost_custom_fragment

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-0.1.738ef4fgit
- Update patches

* Tue Jun 16 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Prepare for new release 15.6.0

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Fix dependency cycle

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Use systemd units to enable tcp/tls in libvirt

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Add parameter for `query_placement_for_availability_zone`

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Refer keystone_authtoken instead of neutron to detect region

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Prepare for 15.5.0 release in stable/train

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Expose enable_isolated_aggregate_filtering parameter

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Replace removed ironic api_endpoint by endpoint_override

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Expose placement_aggregate_required_for_tenants parameter
- Fix rabbitmq dependency

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Sun Dec 15 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- vcpu_pin_set gets set under [compute] instead of [DEFAULT]

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Adds --before archive parameter to cron job

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Adds --all-cells to the archive command

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Fix vcpu_pin_set condition to resolve deployment failure

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Merge "Add ability to collocate pinned and unpinned instance on same host" into stable/train
- Add ability to collocate pinned and unpinned instance on same host

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Include nova::availability_zone in nova::api and nova::conductor

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Don't restart libvirt-guests on config change

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Merge "Switch to Train" into stable/train
- Fix "More than one line in file '/etc/sysconfig/libvirtd' matches pattern" errors
- Switch to Train

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Fri Oct 04 2019 RDO <dev@lists.rdoproject.org> 15.4.0-1
- Update to 15.4.0



